<div class="wrapper wrapper-content animated fadeInRight">
  <div class="row">
    <div class="col-lg-12">
      <div class="ibox float-e-margins">
        <div class="ibox-title">
          <h3>
            <strong>Zendesk ticket support</strong>
          </h3>
          <div class="fm-row row">
            <div class="col-sm-6">
              <div id="multi">
                <div class="chip-holder" *ngIf="ticketIdList.length>0">
                  <div *ngFor="let id of ticketIdList;let i=index">
                    <span *ngIf="i<2" class="mul-option">{{id}}<i aria-hidden="true" (click)="removeMultiSelect(id)">X</i></span>
                  </div>
                  <div *ngIf="ticketIdList.length>2">
                    <span class="mul-option">{{ticketIdList.length-2}}+</span>
                  </div>
                </div>
                <input matInput placeholder="Ticket id" [(ngModel)]="ticketId" (keypress)="searchId($event)"
                  aria-label="Partner" [ngClass]="{'radius':ticketIdList.length>0,'left':ticketIdList.length>0}" />
              </div>
            </div>
            <div class="col-xs-3 custom-position">
              <input [(ngModel)]="startDate" name="start_date" [max]="endDate" [owlDateTimeTrigger]="dtPicker1"
                [owlDateTime]="dtPicker1" placeholder="Start date" class="form-control" (ngModelChange)="getTickets()">
              <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;" [owlDateTimeTrigger]="dtPicker1"></i>
              <owl-date-time [pickerMode]="'dialog'" #dtPicker1></owl-date-time>
            </div>
            <div class="col-xs-3 custom-position">
              <input [(ngModel)]="endDate" name="end_date" [min]="startDate" [max]="max"
                [owlDateTimeTrigger]="dtPicker2" [owlDateTime]="dtPicker2" placeholder="End date" class="form-control">
              <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;" [owlDateTimeTrigger]="dtPicker2"></i>
              <owl-date-time [pickerMode]="'dialog'" #dtPicker2></owl-date-time>
            </div>
          </div>
          <div class="fm-row row">
            <div class="col-xs-3 custom-position">
              <mat-select [(ngModel)]="tags" placeholder="Tags" class="form-control" multiple>
                <mat-option *ngFor="let tag of tagList" [value]="tag">{{tag}}</mat-option>
              </mat-select>
            </div>
            <div class="col-xs-3">
              <input [(ngModel)]="driverForm" [formControl]="queryField" type="text" placeholder="search for driver"
                [matAutocomplete]="auto" class="form-control custom-class-border"
                (ngModelChange)="searchDriver($event)">
              <img *ngIf="loadingIndicator == 'searchDriver'" class="loading_indicator"
                src="assets/img/loading.gif" alt="my DTC"/>
              <mat-autocomplete #auto="matAutocomplete" [displayWith]="displayFndriver">
                <mat-option *ngFor="let driver of DriverList" [value]="driver">
                  <div class="option-otr">
                    <div class="option_span">
                      <strong> Username:</strong> {{ driver.username }}</div>
                    <div class="option_span">
                      <strong>Name and Surname:</strong>{{ driver.name }} &nbsp;{{ driver.surname }}</div>
                    <div class="option_span">
                      <strong>Display Name:</strong>{{ driver.display_name }}</div>
                  </div>
                </mat-option>
                <mat-option *ngIf="DriverList == '' && DriverList.length == 0">No Matches Found</mat-option>
              </mat-autocomplete>
            </div>
            <div class="col-xs-2">
              <mat-select [(ngModel)]="status" placeholder="Status" class="form-control" multiple>
                <mat-option *ngFor="let status of statusList" [value]="status">{{status}}</mat-option>
              </mat-select>
            </div>
            <div class="col-xs-2">
              <mat-select [(ngModel)]="sort_by_column" placeholder="Sort by" class="form-control">
                <mat-option value="created_at">Created</mat-option>
                <mat-option value="updated_at">Updated</mat-option>
              </mat-select>
            </div>
            <div class="col-xs-2">
              <mat-select [(ngModel)]="sort_order" placeholder="Sort order" class="form-control">
                <mat-option value="1">Ascending</mat-option>
                <mat-option value="-1">Descending</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="fm-row row">
            <div class="col-sm-12 text-right">
              <span matTooltip="CSV" style="cursor:pointer">
                <img src="assets/img/csv.png" (click)="getconstantsforcsv()" alt="my DTC"/>
              </span>
              <button type="get" [disabled]="searchSubmit" (click)="getTickets()" style="padding-left: 15px;"
                class="btn btn-sm btn-primary blue">
                <i aria-hidden="true" class="fa fa-search"></i> Search</button>
              <button [disabled]="searchSubmit" class="btn btn-sm btn-primary green" style="padding-left: 15px;"
                (click)="getTickets()">
                <i aria-hidden="true" class="fa fa-refresh"></i>
                Refresh
              </button>
              <button [disabled]="searchSubmit" class="btn btn-sm btn-primary red" style="padding-left: 15px;"
                (click)="reset()">
                <i aria-hidden="true" class="fa fa-eraser"></i>
                Reset filters
              </button>
            </div>
          </div>
          <div class="fm-row row" *ngIf="creatingcsv">
            <div class="col-md-12">
              <div>
                <progress-bar [progress]="progressvalue" [color]="'#211d46'">
                </progress-bar>
              </div>
            </div>
          </div>
          <div class="ibox-content">
            <span *ngIf="ticketLength>0">Total records: {{ticketLength}}</span>
            <div class="table-responsive">
              <table aria-describedby="Zendesk ticket support" class="table table-striped table-bordered table-responsive">
                <thead>
                  <tr>
                    <th scope="col">Ticket Id</th>
                    <th scope="col">Subject</th>
                    <th scope="col">Description</th>
                    <th scope="col">Driver Id</th>
                    <th scope="col">Tags</th>
                    <th scope="col">Status</th>
                    <th scope="col">Date</th>
                    <th scope="col">Comments</th>
                  </tr>
                </thead>
                <tbody>
                  <span *ngIf="searchSubmit">
                    <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                  </span>
                  <tr *ngFor="let ticket of ticketList; let i = index" [attr.data-index]="i">
                    <td (click)="goToZen(ticket.id)">{{ticket.id}}</td>
                    <td style="max-width:150px" (click)="goToLink(ticket.customer_id)">{{ticket.subject}}</td>
                    <td style="max-width:250px" (click)="goToLink(ticket.customer_id)">{{ticket.description}}</td>
                    <td>{{ticket && ticket.driver_username ? ticket.driver_username : 'NA'}}</td>
                    <td style="max-width:150px" (click)="goToLink(ticket.customer_id)">
                      <span *ngFor="let tags of ticket.tags; let j=index">
                        {{tags}}<span *ngIf="ticket.tags.length!==1 && ticket.tags.length!==j+1">, </span>
                      </span>
                    </td>
                    <td (click)="goToLink(ticket.customer_id)">{{ticket.status}}</td>
                    <td class="text-right" (click)="goToLink(ticket.customer_id)">
                  <tr>
                    <td>Created : </td>
                    <td>{{ticket.created_at | date: 'M/d/yy, h:mm a'}}</td>
                  </tr>
                  <tr>
                    <td>Updated : </td>
                    <td>{{ticket.updated_at | date: 'M/d/yy, h:mm a'}}</td>
                  </tr>
                  </td>
                  <td>
                    <button class="btn btn-success" *ngIf="ticket.comment_count>0"
                      (click)="viewComment(ticket.id)">View</button>
                    <button class="btn btn-default" disabled *ngIf="ticket.comment_count<=0">N/A</button>
                  </td>
                  </tr>
                </tbody>
              </table>
              <div class="container-fluid" *ngIf="ticketList.length==0 && !searchSubmit">
                <div class="row">
                  <div class="dataTables_info1">
                    <div class="col-md-12 form-group text-center">
                      No records found
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <br>
          <div class="container-fluid" *ngIf="ticketList.length>0">
            <div class="row col-md-12 text-center">
              <div class="dataTables_info1">
                <ngb-pagination [collectionSize]="ticketLength" (pageChange)="pagingAgent($event)" [page]="pNo"
                  [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true">
                </ngb-pagination>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>